{"id":"CVE-2025-59432","aliases":["DEBIAN-CVE-2025-59432","EUVD-2025-29670","GHSA-3wfh-36rx-9537","OESA-2025-2391","OESA-2025-2392","OESA-2025-2393","OESA-2025-2394","OESA-2025-2395","OESA-2025-2396","SUSE-SU-2025:21016-1","SUSE-SU-2025:4054-1","SUSE-SU-2026:21608-1","UBUNTU-CVE-2025-59432","openSUSE-SU-2025:15680-1","openSUSE-SU-2025:20059-1","openSUSE-SU-2026:20742-1"],"status":"published","title":"Timing Attack Vulnerability in SCRAM Authentication","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","severity":{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium","assessor":"cna","from":"cve"},"epss":{"day":"2026-11-12","score":0.00702,"percentile":0.53742,"model":"v2026.06.15"},"facts":{"in_kev":false,"known_exploited":false,"public_exploit":false,"fix_available":true},"cwes":["CWE-208","CWE-385"],"published":"2025-09-16T22:20:08Z","modified":"2026-10-28T11:00:08Z","fixes":[{"ecosystem":"Maven","package":"com.ongres.scram:scram-common","fixed_in":["3.2"],"sources":["ghsa","osv"]},{"ecosystem":"Debian:14","package":"libscram-java","fixed_in":["3.2-1"],"sources":["osv"]},{"ecosystem":"openEuler:24.03-LTS-SP2","package":"ongres-scram","fixed_in":["2.1-3.oe2403sp2"],"sources":["osv"]},{"ecosystem":"openEuler:20.03-LTS-SP4","package":"ongres-scram","fixed_in":["2.1-2.oe2003sp4"],"sources":["osv"]},{"ecosystem":"openEuler:22.03-LTS-SP3","package":"ongres-scram","fixed_in":["2.1-2.oe2203sp3"],"sources":["osv"]},{"ecosystem":"openEuler:22.03-LTS-SP4","package":"ongres-scram","fixed_in":["2.1-2.oe2203sp4"],"sources":["osv"]},{"ecosystem":"openEuler:24.03-LTS","package":"ongres-scram","fixed_in":["2.1-3.oe2403"],"sources":["osv"]},{"ecosystem":"openEuler:24.03-LTS-SP1","package":"ongres-scram","fixed_in":["2.1-3.oe2403sp1"],"sources":["osv"]},{"ecosystem":"SUSE:Linux Enterprise Server 16.0","package":"ongres-scram","fixed_in":["3.1-160000.3.1"],"sources":["osv"]},{"ecosystem":"SUSE:Linux Enterprise Server for SAP applications 16.0","package":"ongres-scram","fixed_in":["3.1-160000.3.1"],"sources":["osv"]},{"ecosystem":"SUSE:Linux Enterprise Module for Server Applications 15 SP6","package":"ongres-scram","fixed_in":["2.1-150400.8.5.1"],"sources":["osv"]},{"ecosystem":"SUSE:Linux Enterprise Module for Server Applications 15 SP7","package":"ongres-scram","fixed_in":["2.1-150400.8.5.1"],"sources":["osv"]},{"ecosystem":"openSUSE:Leap 15.6","package":"ongres-scram","fixed_in":["2.1-150400.8.5.1"],"sources":["osv"]},{"ecosystem":"openSUSE:Tumbleweed","package":"ongres-scram","fixed_in":["3.2-7.1"],"sources":["osv"]},{"ecosystem":"openSUSE:Leap 16.0","package":"ongres-scram","fixed_in":["3.1-160000.3.1"],"sources":["osv"]}],"affected":[{"source":"ghsa","ecosystem":"Maven","package":"com.ongres.scram:scram-common","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.2"}]}]},{"source":"osv","ecosystem":"Debian:12","package":"libscram-java","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"}]}],"versions":["2.1-1","3.1-1","3.2-1","3.3-1","3.4-1"]},{"source":"osv","ecosystem":"Debian:13","package":"libscram-java","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"}]}],"versions":["3.1-1","3.2-1","3.3-1","3.4-1"]},{"source":"osv","ecosystem":"Debian:14","package":"libscram-java","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.2-1"}]}],"versions":["3.1-1"]},{"source":"osv","ecosystem":"Maven","package":"com.ongres.scram:scram-common","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.2"}]}],"versions":["3.0","3.1"]},{"source":"osv","ecosystem":"openEuler:24.03-LTS-SP2","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-3.oe2403sp2"}]}]},{"source":"osv","ecosystem":"openEuler:20.03-LTS-SP4","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-2.oe2003sp4"}]}]},{"source":"osv","ecosystem":"openEuler:22.03-LTS-SP3","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-2.oe2203sp3"}]}]},{"source":"osv","ecosystem":"openEuler:22.03-LTS-SP4","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-2.oe2203sp4"}]}]},{"source":"osv","ecosystem":"openEuler:24.03-LTS","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-3.oe2403"}]}]},{"source":"osv","ecosystem":"openEuler:24.03-LTS-SP1","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-3.oe2403sp1"}]}]},{"source":"osv","ecosystem":"SUSE:Linux Enterprise Server 16.0","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.1-160000.3.1"}]}]},{"source":"osv","ecosystem":"SUSE:Linux Enterprise Server for SAP applications 16.0","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.1-160000.3.1"}]}]},{"source":"osv","ecosystem":"SUSE:Linux Enterprise Module for Server Applications 15 SP6","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-150400.8.5.1"}]}]},{"source":"osv","ecosystem":"SUSE:Linux Enterprise Module for Server Applications 15 SP7","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-150400.8.5.1"}]}]},{"source":"osv","ecosystem":"openSUSE:Leap 15.6","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"2.1-150400.8.5.1"}]}]},{"source":"osv","ecosystem":"Ubuntu:18.04:LTS","package":"scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"}]}],"versions":["0.15.0-1","0.15.0-1build1","0.16.0-1","0.16.2-1"]},{"source":"osv","ecosystem":"Ubuntu:20.04:LTS","package":"scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"}]}],"versions":["0.16.2-1build1","0.16.2-1build2"]},{"source":"osv","ecosystem":"Ubuntu:22.04:LTS","package":"scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"}]}],"versions":["0.16.2-3"]},{"source":"osv","ecosystem":"Ubuntu:24.04:LTS","package":"scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"}]}],"versions":["0.16.2-3","0.16.2-3build1","0.16.2-3build3","0.16.2-3build4"]},{"source":"osv","ecosystem":"openSUSE:Tumbleweed","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.2-7.1"}]}]},{"source":"osv","ecosystem":"openSUSE:Leap 16.0","package":"ongres-scram","ranges":[{"type":"ECOSYSTEM","events":[{"introduced":"0"},{"fixed":"3.1-160000.3.1"}]}]}],"products":[{"vendor":"ongres","product":"scram"}],"references":[{"url":"https://github.com/ongres/scram/security/advisories/GHSA-3wfh-36rx-9537","tags":["x_refsource_CONFIRM","advisory","web","report"]},{"url":"https://github.com/ongres/scram/commit/e0b0cf99f05406a0d26682c72fcb5728e95124b3","tags":["x_refsource_MISC","fix","web"]},{"url":"https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/security/MessageDigest.html#isEqual(byte%5B%5D,byte%5B%5D)","tags":["x_refsource_MISC","web","report"]},{"url":"https://nvd.nist.gov/vuln/detail/CVE-2025-59432","tags":["advisory"]},{"url":"https://github.com/advisories/GHSA-3wfh-36rx-9537"},{"url":"https://github.com/CVEProject/cvelistV5/tree/main/cves/2025/59xxx/CVE-2025-59432.json","tags":["advisory"]},{"url":"https://security-tracker.debian.org/tracker/CVE-2025-59432","tags":["advisory"]},{"url":"https://github.com/ongres/scram","tags":["package"]},{"url":"https://www.openeuler.org/zh/security/security-bulletins/detail/?id=openEuler-SA-2025-2391","tags":["advisory"]},{"url":"https://www.openeuler.org/zh/security/security-bulletins/detail/?id=openEuler-SA-2025-2392","tags":["advisory"]},{"url":"https://www.openeuler.org/zh/security/security-bulletins/detail/?id=openEuler-SA-2025-2393","tags":["advisory"]},{"url":"https://www.openeuler.org/zh/security/security-bulletins/detail/?id=openEuler-SA-2025-2394","tags":["advisory"]},{"url":"https://www.openeuler.org/zh/security/security-bulletins/detail/?id=openEuler-SA-2025-2395","tags":["advisory"]},{"url":"https://www.openeuler.org/zh/security/security-bulletins/detail/?id=openEuler-SA-2025-2396","tags":["advisory"]},{"url":"https://www.suse.com/support/update/announcement/2025/suse-su-202521016-1/","tags":["advisory"]},{"url":"https://bugzilla.suse.com/1250399","tags":["report"]},{"url":"https://www.suse.com/security/cve/CVE-2025-59432","tags":["web"]},{"url":"https://www.suse.com/support/update/announcement/2025/suse-su-20254054-1/","tags":["advisory"]},{"url":"https://www.suse.com/support/update/announcement/2026/suse-su-202621608-1/","tags":["advisory"]},{"url":"https://ubuntu.com/security/CVE-2025-59432","tags":["report"]},{"url":"https://www.cve.org/CVERecord?id=CVE-2025-59432","tags":["report"]},{"url":"https://github.com/ongres/scram/commit/f04975680d4a67bc84cc6c61bbffd5186223e2e2","tags":["report"]},{"url":"","tags":["advisory"]}],"sources":{"cve":[{"id":"CVE-2025-59432","title":"Timing Attack Vulnerability in SCRAM Authentication","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","status":"published","published":"2025-09-22T19:22:37.117Z","modified":"2026-01-23T17:27:49.976Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium","assessor":"cna"}],"cwes":["CWE-208","CWE-385"],"updated_at":"2026-11-02T14:32:47.812946Z"}],"euvd":[{"id":"EUVD-2025-29670","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","status":"published","published":"2025-09-22T19:22:37Z","modified":"2026-01-23T17:27:49Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium"}],"updated_at":"2026-11-02T19:48:48.084617Z"}],"ghsa":[{"id":"GHSA-3wfh-36rx-9537","title":"Timing Attack Vulnerability in SCRAM Authentication","description":"### Impact\n\nA timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because `Arrays.equals` was used to compare secret values such as client proofs and server signatures. Since `Arrays.equals` performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted.\n\n### Patches\n\nThis vulnerability has been patched by replacing `Arrays.equals` with `MessageDigest.isEqual`, which ensures constant-time comparison.\n\nUsers should upgrade to version **3.2** or later to mitigate this issue.\n\n### Workarounds\n\nBecause the attack requires high precision and repeated attempts, the risk is limited, but the only reliable mitigation is to upgrade to a patched release (version 3.2 or later).\n\n### References\n\n- [Java `MessageDigest.isEqual` Documentation](https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/security/MessageDigest.html#isEqual(byte[],byte[]))","status":"published","published":"2025-09-16T22:20:08Z","modified":"2026-01-23T17:28:01Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium"}],"cwes":["CWE-208","CWE-385"],"updated_at":"2026-11-02T14:39:19.525691Z"}],"nvd":[{"id":"CVE-2025-59432","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","status":"published","published":"2025-09-22T20:15:38.673Z","modified":"2026-10-11T20:10:00.2Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U/CR:X/IR:X/AR:X/MAV:X/MAC:X/MAT:X/MPR:X/MUI:X/MVC:X/MVI:X/MVA:X/MSC:X/MSI:X/MSA:X/S:X/AU:X/R:X/V:X/RE:X/U:X","level":"medium","assessor":"secondary"}],"cwes":["CWE-208","CWE-385"],"updated_at":"2026-11-02T14:11:32.559087Z"}],"osv":[{"id":"CVE-2025-59432","title":"Timing Attack Vulnerability in SCRAM Authentication","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","status":"published","published":"2025-09-22T19:22:37.117Z","modified":"2026-10-28T11:00:08.694313753Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium"}],"cwes":["CWE-208","CWE-385"],"updated_at":"2026-11-02T15:44:51.190588Z"},{"id":"DEBIAN-CVE-2025-59432","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","status":"published","published":"2025-09-22T20:15:38.673Z","modified":"2026-10-12T09:47:43.577895118Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U/CR:X/IR:X/AR:X/MAV:X/MAC:X/MAT:X/MPR:X/MUI:X/MVC:X/MVI:X/MVA:X/MSC:X/MSI:X/MSA:X/S:X/AU:X/R:X/V:X/RE:X/U:X","level":"medium"}],"updated_at":"2026-11-02T15:45:47.697959Z"},{"id":"GHSA-3wfh-36rx-9537","title":"Timing Attack Vulnerability in SCRAM Authentication","description":"### Impact\n\nA timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because `Arrays.equals` was used to compare secret values such as client proofs and server signatures. Since `Arrays.equals` performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted.\n\n### Patches\n\nThis vulnerability has been patched by replacing `Arrays.equals` with `MessageDigest.isEqual`, which ensures constant-time comparison.\n\nUsers should upgrade to version **3.2** or later to mitigate this issue.\n\n### Workarounds\n\nBecause the attack requires high precision and repeated attempts, the risk is limited, but the only reliable mitigation is to upgrade to a patched release (version 3.2 or later).\n\n### References\n\n- [Java `MessageDigest.isEqual` Documentation](https://docs.oracle.com/en/java/javase/25/docs/api/java.base/java/security/MessageDigest.html#isEqual(byte[],byte[]))","status":"published","published":"2025-09-16T22:20:08Z","modified":"2026-02-03T03:08:37.55104Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium"}],"cwes":["CWE-208","CWE-385"],"updated_at":"2026-11-02T15:46:36.092962Z"},{"id":"OESA-2025-2391","title":"ongres-scram security update","description":"Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation.\r\n\r\nSecurity Fix(es):\n\nSCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.(CVE-2025-59432)","status":"published","published":"2025-10-11T11:09:28Z","modified":"2026-08-18T01:19:12.808759264Z","cvss":[{"version":"3.1","score":6.8,"vector":"CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N","level":"medium"}],"updated_at":"2026-11-02T15:52:44.957082Z"},{"id":"OESA-2025-2392","title":"ongres-scram security update","description":"Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation.\r\n\r\nSecurity Fix(es):\n\nSCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.(CVE-2025-59432)","status":"published","published":"2025-10-11T11:09:28Z","modified":"2026-08-18T01:19:13.142979537Z","cvss":[{"version":"3.1","score":6.8,"vector":"CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N","level":"medium"}],"updated_at":"2026-11-02T15:52:44.957082Z"},{"id":"OESA-2025-2393","title":"ongres-scram security update","description":"Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation.\r\n\r\nSecurity Fix(es):\n\nSCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.(CVE-2025-59432)","status":"published","published":"2025-10-11T11:09:28Z","modified":"2026-08-18T01:19:13.328462944Z","cvss":[{"version":"3.1","score":6.8,"vector":"CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N","level":"medium"}],"updated_at":"2026-11-02T15:52:44.957082Z"},{"id":"OESA-2025-2394","title":"ongres-scram security update","description":"Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation.\r\n\r\nSecurity Fix(es):\n\nSCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.(CVE-2025-59432)","status":"published","published":"2025-10-11T11:09:28Z","modified":"2026-08-18T01:19:13.362712317Z","cvss":[{"version":"3.1","score":6.8,"vector":"CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N","level":"medium"}],"updated_at":"2026-11-02T15:52:44.957082Z"},{"id":"OESA-2025-2395","title":"ongres-scram security update","description":"Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation.\r\n\r\nSecurity Fix(es):\n\nSCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.(CVE-2025-59432)","status":"published","published":"2025-10-11T11:09:28Z","modified":"2026-08-18T01:19:13.305372247Z","cvss":[{"version":"3.1","score":6.8,"vector":"CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N","level":"medium"}],"updated_at":"2026-11-02T15:52:44.957082Z"},{"id":"OESA-2025-2396","title":"ongres-scram security update","description":"Scram is part of the family of Simple Authentication and Security Layer authentication mechanisms.It is described as part of RFC 5802 and RFC7677. This pachage is a Java implementation.\r\n\r\nSecurity Fix(es):\n\nSCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.(CVE-2025-59432)","status":"published","published":"2025-10-11T11:09:28Z","modified":"2026-08-18T01:19:12.896057813Z","cvss":[{"version":"3.1","score":6.8,"vector":"CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N","level":"medium"}],"updated_at":"2026-11-02T15:52:44.957082Z"},{"id":"UBUNTU-CVE-2025-59432","description":"SCRAM (Salted Challenge Response Authentication Mechanism) is part of the family of Simple Authentication and Security Layer (SASL, RFC 4422) authentication mechanisms. Prior to version 3.2, a timing attack vulnerability exists in the SCRAM Java implementation. The issue arises because Arrays.equals was used to compare secret values such as client proofs and server signatures. Since Arrays.equals performs a short-circuit comparison, the execution time varies depending on how many leading bytes match. This behavior could allow an attacker to perform a timing side-channel attack and potentially infer sensitive authentication material. All users relying on SCRAM authentication are impacted. This vulnerability has been patched in version 3.1 by replacing Arrays.equals with MessageDigest.isEqual, which ensures constant-time comparison.","status":"published","published":"2025-09-22T20:15:00Z","modified":"2026-01-20T18:51:13.399267Z","cvss":[{"version":"4.0","score":6.6,"vector":"CVSS:4.0/AV:N/AC:L/AT:N/PR:N/UI:N/VC:H/VI:N/VA:N/SC:N/SI:N/SA:N/E:U","level":"medium"}],"updated_at":"2026-11-02T16:55:50.817402Z"},{"id":"openSUSE-SU-2025:15680-1","title":"ongres-scram-3.2-7.1 on GA media","description":"These are all security issues fixed in the ongres-scram-3.2-7.1 package on the GA media of openSUSE Tumbleweed.","status":"published","published":"2025-10-29T00:00:00Z","modified":"2026-03-23T04:54:05.756559Z","updated_at":"2026-11-02T16:58:37.810934Z"},{"id":"openSUSE-SU-2025:20059-1","title":"Security update for ongres-scram","description":"This update for ongres-scram fixes the following issues:\n\n- CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication (bsc#1250399)\n","status":"published","published":"2025-11-19T10:33:44Z","modified":"2026-03-23T04:54:16.400439Z","updated_at":"2026-11-02T16:58:38.101535Z"},{"id":"openSUSE-SU-2026:20742-1","title":"Security update for ongres-scram, ongres-stringprep, plexus-testing, maven, maven-doxia, mojo-parent, sisu","description":"This update for ongres-scram, ongres-stringprep, plexus-testing, maven, maven-doxia, mojo-parent, sisu fixes the following issues:\n\nChanges in ongres-scram:\n\n- Version 3.2\n  * Fix Timing Attack Vulnerability in SCRAM Authentication\n    (bsc#1250399, CVE-2025-59432)\n  * Updated dependencies and maven plugins\n  * Use central-publishing-maven-plugin to deploy to Maven Central.\n\n- Do not create multirelease jar if the only Java 9+ class file is\n  module-info.class\n\nChanges in ongres-stringprep:\n\n- Do not create multirelease jar if the only Java 9+ class file is\n  module-info.class\n\nChanges in plexus-testing:\n\n- The build without tests does not need the full junit5; the\n  junit5-minimal (built with ant) is enough\n\nChanges in maven:\n\n- Upgrade to upstream version 3.9.14\n\n  * Bug Fixes\n\n    + plexus-testing dependencies should be used in test scope\n\n- Upgrade to upstream version 3.9.13\n  * Bug Fixes\n    + Bug: SecDispatcher is managed by legacy Plexus DI\n    + [3.9.x] MavenPluginJavaPrerequisiteChecker: Handle 8/1.8\n      Java version in ranges as well\n\n  * Maintenance\n\n    + Update Maven plugin versions in default-bindings.xml\n    + Migrate to JUnit 5 - avoid using TestCase\n\nChanges in maven-doxia:\n\nUpgrade to upstream version 2.1.0:\n\n  * New features and improvements\n\n    + Distinguish between linebreaks for formatting markup and\n      linebreaks in output\n    + Return SinkEventAttributes instead of super class\n      MutableAttributeSet for filterAttributes\n    + Optionally leave fragments of internal links untouched\n    Support strikethrough for Markdown sink\n    + DOXIA-770: Only escape when necessary\n    + DOXIA-760: Clarify table justification semantics and introduce\n      new \"JUSTIFY_DEFAULT\" alignment\n    + DOXIA-756: Allow to customize macro execution\n    + DOXIA-759: Support anchors in MarkdownSink\n\n  * Bug Fixes\n\n    + MarkdownSink: Fix verbatim inside table cell\n    + Make sure to emit metadata prior everything else\n    + Convert all globally available attributes to HTML5 compliant\n      ones\n    + Html5BaseSink: Convert non-compliant HTML5 attributes to\n      compliant ones\n    + Support \"name\" attribute in \"a\" element still in XHTML5\n    + Never emit Markdown inside HTML context\n    + Use JSoup to convert HTML to XHTML after parsing with Flexmark\n    + DOXIA-764: Strip leading newline after\n    + DOXIA-763: Distinguish between verbatim source and non-source\n      in MarkdownSink\n    + DOXIA-758: Consider emitComments flag in MarkdownSink\n    + DOXIA-757: Don't strip leading \"#\" from link names\n    + DOXIA-753: Do not end lists with a blank line\n    + DOXIA-751: Linked inline code must be emitted in right order\n    + DOXIA-749: Correctly indent and separate blocks inside list\n      items\n    + DOXIA-750: Properly apply inlines inside HTML blocks\n    + DOXIA-747: Emit headings at beginning of line for Markdown\n\n  * Documentation updates\n\n    + Site: Convert APT to Markdown\n    + Improve documentation of supported extensions\n    + (doc) Fix missing references in JavaDocs\n\n  * Maintenance\n\n    + Cleanup tests\n    + JUnit Jupiter best practices\n    + Remove commons-lang3 and commons-text dependencies\n    + feat: enable prevent branch protection rules\n    + Cleanup pom, remove redundant dependencies\n    + Drop almost all usages of plexus-utils\n    + Remove not used and outdated clirr-maven-plugin\n    + Enable Github Issues\n    + DOXIA-772: Deprecate Sink.sectionTitle() and sectionTitle_()\n    + DOXIA-754: Clarify method order for nested lists\n\nChanges in mojo-parent:\n\n- Do not import junit-bom in the parent. This creates unnecessary\n  build cycles with junit5.\n","status":"published","published":"2026-05-12T12:33:30Z","modified":"2026-05-19T18:23:47.678534264Z","updated_at":"2026-11-02T16:58:41.463445Z"},{"id":"SUSE-SU-2025:21016-1","title":"Security update for ongres-scram","description":"This update for ongres-scram fixes the following issues:\n\n- CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication (bsc#1250399)\n","status":"published","published":"2025-11-19T10:17:29Z","modified":"2026-03-23T04:49:13.616218Z","updated_at":"2026-11-02T15:53:59.92114Z"},{"id":"SUSE-SU-2025:4054-1","title":"Security update for ongres-scram","description":"This update for ongres-scram fixes the following issues:\n\n- CVE-2025-59432: Fixed timing attack vulnerability in SCRAM Authentication (bsc#1250399)\n","status":"published","published":"2025-11-11T14:04:30Z","modified":"2026-02-04T03:27:34.61885Z","updated_at":"2026-11-02T15:54:00.344164Z"},{"id":"SUSE-SU-2026:21608-1","title":"Security update for ongres-scram, ongres-stringprep, plexus-testing, maven, maven-doxia, mojo-parent, sisu","description":"This update for ongres-scram, ongres-stringprep, plexus-testing, maven, maven-doxia, mojo-parent, sisu fixes the following issues:\n\nChanges in ongres-scram:\n\n- Version 3.2\n  * Fix Timing Attack Vulnerability in SCRAM Authentication\n    (bsc#1250399, CVE-2025-59432)\n  * Updated dependencies and maven plugins\n  * Use central-publishing-maven-plugin to deploy to Maven Central.\n\n- Do not create multirelease jar if the only Java 9+ class file is\n  module-info.class\n\nChanges in ongres-stringprep:\n\n- Do not create multirelease jar if the only Java 9+ class file is\n  module-info.class\n\nChanges in plexus-testing:\n\n- The build without tests does not need the full junit5; the\n  junit5-minimal (built with ant) is enough\n\nChanges in maven:\n\n- Upgrade to upstream version 3.9.14\n\n  * Bug Fixes\n\n    + plexus-testing dependencies should be used in test scope\n\n- Upgrade to upstream version 3.9.13\n  * Bug Fixes\n    + Bug: SecDispatcher is managed by legacy Plexus DI\n    + [3.9.x] MavenPluginJavaPrerequisiteChecker: Handle 8/1.8\n      Java version in ranges as well\n\n  * Maintenance\n\n    + Update Maven plugin versions in default-bindings.xml\n    + Migrate to JUnit 5 - avoid using TestCase\n\nChanges in maven-doxia:\n\nUpgrade to upstream version 2.1.0:\n\n  * New features and improvements\n\n    + Distinguish between linebreaks for formatting markup and\n      linebreaks in output\n    + Return SinkEventAttributes instead of super class\n      MutableAttributeSet for filterAttributes\n    + Optionally leave fragments of internal links untouched\n    Support strikethrough for Markdown sink\n    + DOXIA-770: Only escape when necessary\n    + DOXIA-760: Clarify table justification semantics and introduce\n      new \"JUSTIFY_DEFAULT\" alignment\n    + DOXIA-756: Allow to customize macro execution\n    + DOXIA-759: Support anchors in MarkdownSink\n\n  * Bug Fixes\n\n    + MarkdownSink: Fix verbatim inside table cell\n    + Make sure to emit metadata prior everything else\n    + Convert all globally available attributes to HTML5 compliant\n      ones\n    + Html5BaseSink: Convert non-compliant HTML5 attributes to\n      compliant ones\n    + Support \"name\" attribute in \"a\" element still in XHTML5\n    + Never emit Markdown inside HTML context\n    + Use JSoup to convert HTML to XHTML after parsing with Flexmark\n    + DOXIA-764: Strip leading newline after\n    + DOXIA-763: Distinguish between verbatim source and non-source\n      in MarkdownSink\n    + DOXIA-758: Consider emitComments flag in MarkdownSink\n    + DOXIA-757: Don't strip leading \"#\" from link names\n    + DOXIA-753: Do not end lists with a blank line\n    + DOXIA-751: Linked inline code must be emitted in right order\n    + DOXIA-749: Correctly indent and separate blocks inside list\n      items\n    + DOXIA-750: Properly apply inlines inside HTML blocks\n    + DOXIA-747: Emit headings at beginning of line for Markdown\n\n  * Documentation updates\n\n    + Site: Convert APT to Markdown\n    + Improve documentation of supported extensions\n    + (doc) Fix missing references in JavaDocs\n\n  * Maintenance\n\n    + Cleanup tests\n    + JUnit Jupiter best practices\n    + Remove commons-lang3 and commons-text dependencies\n    + feat: enable prevent branch protection rules\n    + Cleanup pom, remove redundant dependencies\n    + Drop almost all usages of plexus-utils\n    + Remove not used and outdated clirr-maven-plugin\n    + Enable Github Issues\n    + DOXIA-772: Deprecate Sink.sectionTitle() and sectionTitle_()\n    + DOXIA-754: Clarify method order for nested lists\n\nChanges in mojo-parent:\n\n- Do not import junit-bom in the parent. This creates unnecessary\n  build cycles with junit5.\n","status":"published","published":"2026-05-12T12:36:08Z","modified":"2026-05-16T18:25:09.858879Z","updated_at":"2026-11-02T15:54:02.312556Z"}]}}
